##### ssl::context::context (3 of 3 overloads)

Move-construct a context from another.

    context(
        context && other);

This constructor moves an SSL context from one object to another.

###### Parameters

other

  The other context object from which the move will occur.

###### Remarks

Following the move, the following operations only are valid for the moved-from object: * Destruction.

- As a target for move-assignment.